Create Savings Account

Use this API to create a savings account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Note

When testing this API using your sandbox API keys, always pass the title as:

  • mr
  • dr
  • master
  • prof

This is because, in sandbox mode, the gender returned in the Aadhaar Verification API is always male

📘

Test Data

The table below lists the various PANs you can use to mock different statuses in the Savings Account API.

PANStatus
TSKYC1111Kfull_kyc_pending
OPENT1122Sfailed
Body Params
string
required
Defaults to savings

Type of account you want to create.

Accepted value savings.

string
required

Applicant's title.

Use the Titles API to get a list of accepted values.

Example: dr

string
required

Applicant's name.

Maximum 70 characters.

Example: Anil Reddy

Supported characters:

  • A-Z
  • a-z
  • 0-9
  • .
  • /
  • \
  • -
  • _
  • ,
  • (
  • )
  • '

string
required

Applicant's mobile number.

Has to be 10 digits.

Example: 9876543210

Supported characters:

  • 0-9

string
required

Applicant's email address.

Example: [email protected]

string
required
Defaults to sbm_bank

Name of the bank where the account should be create.

Accepted value: sbm_bank

kyc
object
required

Object to pass the applicant's KYC details.

addresses
array of objects
required

Array of objects that contain the applicant's communication address.

addresses*
documents
array of objects
required

Array of objects that contains the documents required to open a savings account.

Use the Upload Document API to upload the required document and get the document id.

documents*
device_data
object
required

Object that contains the device details from which the create savings account request was triggered.

nominee
array of objects

Array of objects that contains nominee details.

nominee
metadata
object

Key-value pair that can be used to store additional information about the entity.

Note:

  • Maximum 5 key-value pairs.
  • Maximum 256 characters in the metadata object.
  • You cannot pass a URL.
  • You cannot use \.
Example: "key_1": "DD"

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json